﻿using Hotline.Caching.Interfaces;
using Hotline.Caching.Services;
using Hotline.Settings;
using Shouldly;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Application.Tests.Application;
public class SystemSettingCacheManagerTest
{
    private readonly ISystemSettingCacheManager _systemSettingCacheManager;
    private readonly IRepository<SystemSetting> _systemSettingRepository;

    public SystemSettingCacheManagerTest(ISystemSettingCacheManager systemSettingCacheManager, IRepository<SystemSetting> systemSettingRepository)
    {
        _systemSettingCacheManager = systemSettingCacheManager;
        _systemSettingRepository = systemSettingRepository;
    }

    [Fact]
    public void CancelPublishOrderEnabled_Test()
    {
        var dd = DateTime.Parse("11/19/2024 18:08:00");
        _systemSettingCacheManager.CallSyncUnPushDateTime.ShouldBe(DateTime.Parse("2024/11/19 18:08:00"));
        var result = _systemSettingCacheManager.CancelPublishOrderEnabled;
        result.ShouldBeTrue();
        var seconds = _systemSettingCacheManager.VisitCallDelaySecond;
        seconds.ShouldBe(60);

        var delaySecond =  _systemSettingCacheManager.DefaultVisitSmsDelaySecond;
        delaySecond.ShouldBe(172800);
        var delaySecondEntity = _systemSettingRepository.GetAsync("08dc0681-a6d2-4ce7-877d-db65f846d523");
        delaySecondEntity.ShouldNotBeNull("DefaultVisitSmsDelaySecond 系统设置为NULL");

        _systemSettingCacheManager.GetAboutToExpireVersion.ShouldBe(0);
    }
}
