﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.WebPortal
{
    public record QueryKnowledgeList : PagedRequest
    {
        /// <summary>
        /// 知识标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 知识分类
        /// </summary>
        public string? KnowledgeTypeId { get; set; }

        /// <summary>
        /// 知识标签
        /// </summary>
        public string? KnowledgeBaseTags { get; set; }
    }

    public class QueryKnowledgeInfo
    {
        public string Id { get; set; }
    }

    /// <summary>
    /// 知识实体
    /// </summary>
    public class KnowledgeInfoDto
    {
        /// <summary>
        /// id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
       	public string? Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string? Content { get; set; }

        /// <summary>
        /// 浏览量
        /// </summary>
        public int PageView { get; set; } = 0;

        /// <summary>
        /// 附件
        /// </summary>
        public List<FileJson>? FileJson { get; set; }

        /// <summary>
        /// 搜索量
        /// </summary>
        public int? SearchNum { get; set; } = 0;

        /// <summary>
        /// 评分
        /// </summary>
        public decimal? Score { get; set; } = decimal.Zero;

        /// <summary>
        /// 评论数
        /// </summary>
        public int? CommentNum { get; set; } = 0;

        /// <summary>
        /// 创建部门
        /// </summary>
        public string? CreatorOrgName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreationTime { get; set; }
    }
}